Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List customers

GET/customers
Authorization
AuthorizationBearer token · headerrequired

Your Apipay secret API key.

Query parameters
limitinteger
min 1 · max 100 · default: 20
starting_afterstring
Responses
200

A page of customers.

dataCustomer[]required
Show properties
Array of Customer
idstringrequired
namestringrequired
emailstring<email>required
phonestring | null
created_atstring<date-time>required
next_cursorstring | null
401

The API key is missing, invalid, or revoked.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.apipay.id/v1/customers' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "cus_8f3a2b1c",
      "name": "Siti Aminah",
      "email": "siti@example.com",
      "phone": "+6281234567890",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}